@import url('https://fonts.googleapis.com/css2?family=Merriweather:ital,wght@1,300;1,400;1,700;1,900&family=Open+Sans:ital,wght@0,300;0,400;0,600;0,700;0,800;1,300;1,400;1,600;1,700;1,800&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Playfair+Display:ital,wght@0,400;0,500;0,600;0,700;0,800;0,900;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Lora:ital,wght@0,400;0,500;0,600;0,700;1,400;1,500;1,600;1,700&display=swap');

* {
	font-family: 'Open Sans', sans-serif;
	--primary-bg: whitesmoke;
	--tertiary-bg: #eadeda;
	--secondary-bg: #6f7d8c;
	--primary: #011502;
	--secondary: #eadeda;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
	cursor: default;
	scroll-behavior: smooth;
}

html {
	scroll-behavior: smooth;
}

.max {
	max-width: 750px;
	margin-left: auto;
	margin-right: auto;
}

/* T E X T */

h1,
h2,
h3,
h4 {
	color: var(--primary);
	font-family: 'Montserrat', sans-serif;
}

p,
li,
dt,
dd {
	color: var(--primary);
	line-height: 1.5;
	font-size: 16px;
	margin-top: 10px;
}

h1 {
	font-size: 48px;
	font-weight: 800;
	margin-bottom: 28px;
}

h2 {
	font-size: 28px;
	font-weight: 700;
	margin-bottom: 8px;
	margin-top: 0px;
	padding-top: 24px;
}

html,
body {
	margin: 0;
	height: 100vh;
	background-color: whitesmoke;
}

ul {
	padding-left: 20px;
}

li {
	padding-left: 10px;
}

/* L A N D I N G   P A G E */

.grid-container {
	background: var(--tertiary-bg);
}

.image {
	width: 95vw;
	height: auto;
	display: block;
	transition: opacity 0.5s ease-in;
	box-shadow: 0px 4px 46px -1px #d3bab1;
	align-items: center;
}

@media only screen and (min-width: 600px) {
	.image {
		max-width: 600px;
		max-height: auto;
	}
}

@media only screen and (min-width: 1200px) {
	.image {
		height: 80vh;
		width: auto;
		max-width: fit-content;
	}

	.grid-container {
		display: flex;
		flex-direction: row;
		justify-content: center;
		height: 100vh;
		justify-content: space-between;
	}

	.location-listing {
		margin: 12px;
	}
}

.overlay {
	position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	height: 100%;
	width: 100%;
	opacity: 0;
	transition: 0.5s ease;
	background-color: var(--secondary-bg);
	overflow: hidden;
	border-radius: 50px;
}

.overlay-text {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
}

.overlay-text h3 {
	font-size: 36px;
}

.overlay-text p {
	color: var(--secondary);
}

.location-listing:hover .overlay {
	opacity: 0.9;
}

.location-listing {
	text-align: center;
	position: relative;
	width: fit-content;
	margin: auto;
	height: fit-content;
	overflow: hidden;
	cursor: pointer;
	border-radius: 24px;
	box-shadow: 0 8px 200px #bea9a1d0;
	box-shadow: 0 6px 100px #8f786f8c;
	transition: all 0.7s ease;
}

.location-title {
	margin-bottom: 12px;
	position: absolute;
	font-size: 104px;
	font-weight: 800;
	top: 0;
	left: 0;
	height: 100%;
	width: 100%;
	background: rgba(111, 125, 140, 0.5);
	border-radius: inherit;

	color: white;
	font-size: 1.5em;
	font-weight: bold;
	text-decoration: none;

	display: flex;
	align-items: center;
	justify-content: center;

	opacity: 0;
	transition: opacity 0.5s;

	z-index: 1;

	overflow: hidden;
	cursor: pointer;
}

.location-image {
	line-height: 0;
}

.location-listing:hover .location-title {
	opacity: 1;
}

.location-image img {
	filter: blur(0px);
	transition: filter 0.5s ease;
	transition: transform 1s ease;
	transform: scale(1.1);
}

.location-listing:hover .location-image img {
	filter: blur(4px);
	/* transform: scale(1.15); */
}

.location-listing:hover {
	box-shadow: 0 12px 200px #b4998ede;
	box-shadow: 0 8px 100px #8f786fb6;
	box-shadow: 0 16px 75px #8b6f62d0;
}

@media (hover: none) {
	.location-title {
		opacity: 1;
	}
	.location-image img {
		filter: blur(2px);
	}
}

.container {
	background-color: var(--secondary-bg);
	height: auto;
	box-shadow: 0 0 24px rgba(0, 0, 0, 0.2);
	margin: 56px 0;
	padding: 32px 0;
	overflow-y: hidden;
}

.cards {
	max-width: 1000px;
	margin: auto;
	height: auto;
	display: flex;
	flex-direction: column;
}

.card {
	background-color: var(--primary-bg);
	min-width: 420px;
	max-width: 420px;
	padding: 24px 32px;
	border-radius: 24px;
	box-shadow: 0 8px 50px rgba(80, 91, 104, 0.1),
		0 6px 35px rgba(61, 69, 78, 0.1), 0 4px 20px rgba(61, 69, 78, 0.1),
		0 24px 128px rgba(80, 91, 104, 0.1);
}

.card-left,
.card-right {
	margin: 48px;
}

article h2 {
	padding-top: 8px;
	font-weight: 800;
	font-size: 32px;
}

.card-left {
	flex-direction: row;
	display: flex;
}

.quote {
	display: none;
}

.quote p {
	margin-top: 12px;
	font-weight: bold;
	letter-spacing: 1px;
	font-style: normal;
}

.quote span {
	opacity: 0.7;
}

@media screen and (min-width: 1100px) {
	.quote {
		display: inline-block;
		font-family: 'Lora', serif;
		margin: auto 32px;
		color: var(--primary-bg);
		opacity: 0.7;
		font-size: 24px;
		max-width: auto;
		/* font-style: italic; */
		font-weight: 500;
		height: fit-content;
		line-height: 1.5;
		/* text-align: center; */
	}
}

.card-left .quote {
	margin-right: -90px;
}

.card-right .quote {
	margin-left: -90px;
	/* text-align: end; */
}

.card-right {
	flex-direction: row-reverse;
	/* align-self: flex-end; */
	margin-top: 0;
	display: flex;
}

article dl {
	border-top: 2px var(--secondary) solid;
	padding-top: 8px;
	margin: 12px -32px 8px -32px;
}

article dt {
	align-self: flex-start;
	font-weight: bold;
	margin-left: 32px;
}

article dt span {
	font-size: 14px;
	font-weight: bolder;
	opacity: 0.75;
	letter-spacing: 1px;
	margin-left: 6px;
}

article dd {
	text-align: right;
	opacity: 0.8;
	margin-right: 32px;
}

article h3 {
	margin-bottom: 0px;
	font-weight: 800;
	font-size: 24px;
	margin-top: 32px;
}

article h4 {
	margin-bottom: -4px;
	font-weight: 800;
	opacity: 0.8;
	letter-spacing: 1px;
}

.card-right p {
	margin: 12px 0;
}

.card-right p a {
	text-decoration: none;
	cursor: pointer;
	transition: all 0.5s ease;
	background-color: var(--secondary);
	border-radius: 50px;
	padding: 4px 16px;
	color: black;
	margin-left: 8px;
	transition: all 0.3 ease;
}

.card-right p a:hover {
	box-shadow: 0px 4px 24px -1px rgba(0, 0, 0, 0.2);
	-webkit-box-shadow: 0px 4px 24px -1px rgba(0, 0, 0, 0.2);
	-moz-box-shadow: 0px 4px 24px -1px rgba(0, 0, 0, 0.2);
	background-color: var(--secondary-bg);
	color: aliceblue;
}

/*  S L I D E S H O W  */

.mySlides {
	display: block;
	width: fit-content;
	margin-left: auto;
	margin-right: auto;
	max-width: 100vw;
}

.img-slideshow {
	max-width: 100vw;
}

.slideshowContainer {
	position: relative;
	display: block;
	width: fit-content;
	margin: 24px 0 48px -20px;
	max-width: 100vw;
	height: 527px;
	box-shadow: 0 4px 24px rgba(153, 153, 153, 0.5);
	box-shadow: 0 8px 48px rgba(138, 138, 138, 0.349);
	border-radius: 24px;
	overflow: hidden;
}

.prev,
.next {
	cursor: pointer;
	position: absolute;
	top: 50%;
	width: auto;
	padding: 16px;
	margin-top: -22px;
	color: var(--primary-bg);
	font-weight: bold;
	font-size: 18px;
	transition: 0.6s ease;
	user-select: none;
	text-shadow: 0 0 18px rgba(0, 0, 0, 0.7);
}

.text {
	margin-bottom: 24px;
}

@media only screen and (min-width: 850px) {
	h1 {
		font-size: 68px;
	}
}

.next {
	right: 0;
}

.pictext {
	color: var(--primary-bg);
	font-size: 15px;
	padding: 12px 48px;
	width: fit-content;
	position: absolute;
	bottom: 8px;
	left: 50%;
	transform: translate(-50%);
	text-align: center;
	backdrop-filter: blur(10px);
	-webkit-backdrop-filter: blur(16px);
	border-radius: 100px;
	box-shadow: 0 8px 32px rgba(0, 0, 0, 0.05);
	text-shadow: 0 2px 8px rgba(0, 0, 0, 0.2);
}

.numbertext {
	color: #eff1fb;
	font-size: 12px;
	padding: 8px 12px;
	position: absolute;
	top: 8px;
	left: 8px;
	backdrop-filter: blur(10px);
	-webkit-backdrop-filter: blur(10px);
	border-radius: 100px;
	box-shadow: 0 4px 32px rgba(0, 0, 0, 0.05);
	text-shadow: 0 2px 8px rgba(0, 0, 0, 0.2);
}

.fade {
	-webkit-animation-name: fade;
	-webkit-animation-duration: 1.5s;
	animation-name: fade;
	animation-duration: 1.5s;
}

.i-mail,
.i-phone {
	margin-bottom: -6px;
	margin-right: 8px;
}

/* =========================================== */
/* BOOKING CALENDAR                            */

.booking-header {
	width: 750px;
	margin: 0 auto;
}

.booking-header h2 {
	margin-bottom: 24px;
	color: var(--primary);
}

.calendar-caption {
	display: flex;
}

.free-taken {
	background: var(--primary-bg);
	padding: 12px 18px;
	border-radius: 24px;
	overflow: hidden;
	box-shadow: 0 8px 50px rgba(80, 91, 104, 0.1),
		0 6px 35px rgba(61, 69, 78, 0.1), 0 4px 20px rgba(61, 69, 78, 0.1);
}

.calendar-caption a {
	text-decoration: none;
	cursor: pointer;
	margin-left: auto;
	align-self: center;
	color: rgba(0, 0, 0, 0.7);
	padding: 10px 24px;
	background: var(--secondary-bg);
	border-radius: 24px;
	border: 2px solid rgba(0, 0, 0, 0.5);
	transition: 0.5s ease;
	height: 34px;
	display: flex;
	text-align: center;
	margin: 0 0 0 auto;
	/* display: inline-block; */
}

.calendar-caption a p {
	align-self: center;
	margin: 16px 0;
	cursor: pointer;
}

.calendar-caption a:hover {
	box-shadow: 0px 4px 24px -1px rgba(0, 0, 0, 0.2);
	-webkit-box-shadow: 0px 4px 24px -1px rgba(0, 0, 0, 0.2);
	-moz-box-shadow: 0px 4px 24px -1px rgba(0, 0, 0, 0.2);
	background-color: var(--primary-bg);
	color: black;
}

.calendar-caption span {
	padding: 6px 16px;
	/* border: 1px solid rgba(255, 255, 255, 0.75); */
	display: inline-block;
	border-radius: 18px;
	width: 72px;
	text-align: center;
	box-shadow: 0px 4px 24px -1px rgba(0, 0, 0, 0.1);
}

.calendar-caption span.free {
	background: var(--secondary);
	margin-right: 12px;
}

.calendar-caption span.taken {
	background: var(--secondary-bg);
	color: aliceblue;
	float: right;
	margin-left: 12px;
}

.calendar {
	border-spacing: 0;
	border-collapse: collapse;
	width: 100%;
	margin: 24px auto 48px auto;
	width: 900px;
	background: var(--primary-bg);
	overflow: hidden;
	border-radius: 24px;
	box-shadow: 0 8px 50px rgba(80, 91, 104, 0.1),
		0 6px 35px rgba(61, 69, 78, 0.1), 0 4px 20px rgba(61, 69, 78, 0.1);
}

.calendar th,
.calendar td {
	width: 121px;
}

.calendar th.hidden,
.calendar td.hidden {
	display: none;
}

.calendar th {
	height: 32px;
	padding: 28px 8px 8px 8px;
	color: var(--primary);
	text-transform: uppercase;
	letter-spacing: 2px;
	font-family: 'Montserrat', sans-serif;
	font-weight: 800;
	vertical-align: text-top;
}

.calendar td {
	height: 32px;
	/* border-radius: 12px; */
	padding: 2px 12px;
	background: var(--tertiary-bg);
	border: 2px solid rgba(111, 125, 140);
}

.calendar tr:first-child td {
	border-top: none;
}

.calendar tr:last-child td {
	border-bottom: none;
}

.calendar tr td:first-child {
	border-left: none;
}

.calendar tr td:last-child {
	border-right: none;
}

.calendar tr td:nth-child(6) {
	border-right: none;
}
.calendar tr td:nth-child(7) {
	border-left: none;
}

.calendar td a {
	display: block;
	color: black;
}

.calendar span.wd {
	/* Weekdays */
	display: inline-block;
	width: 20%;
	margin: 4px;
	margin-right: 0;
}

.calendar span.d {
	/* Dates */
	display: inline-block;
	width: 20%;
	text-align: right;
	margin: 4px 0;
}

.calendar span.w {
	/* Week numbers */
	float: right;
	font-weight: bold;
	margin: 4px;
	margin-left: 0;
}

.calendar td.s {
	/* Special (saturdays, sundays, holidays) */
	background: hsl(18, 38%, 82%);
}

.calendar td.b {
	/* Booked */
	background: rgba(111, 125, 140, 0.6);
	/* color: var(--secondary); */
}

.calendar td.s.b {
	background: rgba(111, 125, 140, 0.8);
}
